com.google.common.io

## Class BaseEncoding.DecodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.common.io.BaseEncoding.DecodingException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    BaseEncoding

      public static final class BaseEncoding.DecodingException
      extends java.io.IOException

  Exception indicating invalid base-encoded input encountered while decoding.
  Since:
    15.0
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`